Bug 1299803 - [abrt] NetworkManager: g_type_check_instance_cast(): NetworkManager killed by SIGSEGV
[abrt] NetworkManager: g_type_check_instance_cast(): NetworkManager killed by...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Beniamino Galvani
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1cdd12fc54b026736e6f07fcf69...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 05:00 EST by Lubomir Rintel
Modified: 2016-04-02 11:55 EDT (History)
5 users (show)

See Also:
Fixed In Version: NetworkManager-1.2.0-0.8.beta3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-02 11:55:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.92 KB, text/plain)
2016-01-19 05:00 EST, Lubomir Rintel
no flags Details
File: cgroup (244 bytes, text/plain)
2016-01-19 05:00 EST, Lubomir Rintel
no flags Details
File: core_backtrace (5.63 KB, text/plain)
2016-01-19 05:00 EST, Lubomir Rintel
no flags Details
File: dso_list (6.05 KB, text/plain)
2016-01-19 05:00 EST, Lubomir Rintel
no flags Details
File: environ (72 bytes, text/plain)
2016-01-19 05:00 EST, Lubomir Rintel
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-19 05:00 EST, Lubomir Rintel
no flags Details
File: maps (27.43 KB, text/plain)
2016-01-19 05:00 EST, Lubomir Rintel
no flags Details
File: mountinfo (5.66 KB, text/plain)
2016-01-19 05:00 EST, Lubomir Rintel
no flags Details
File: namespaces (81 bytes, text/plain)
2016-01-19 05:00 EST, Lubomir Rintel
no flags Details
File: open_fds (2.70 KB, text/plain)
2016-01-19 05:00 EST, Lubomir Rintel
no flags Details
File: proc_pid_status (985 bytes, text/plain)
2016-01-19 05:00 EST, Lubomir Rintel
no flags Details
File: var_log_messages (14.67 KB, text/plain)
2016-01-19 05:00 EST, Lubomir Rintel
no flags Details
[PATCH] device/macvlan: implement dispose() (1.81 KB, patch)
2016-01-19 08:01 EST, Beniamino Galvani
no flags Details | Diff

  None (edit)
Description Lubomir Rintel 2016-01-19 05:00:22 EST
Description of problem:


Version-Release number of selected component:
NetworkManager-1.1.0-13864.bcd28951a4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: g_type_check_instance_cast
executable:     /usr/sbin/NetworkManager
global_pid:     4449
kernel:         4.2.8-300.lr1.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 g_type_check_instance_cast at gtype.c:4064
 #1 parent_state_changed at devices/nm-device-macvlan.c:124
 #2 ffi_call_unix64 at ../src/x86/unix64.S:76
 #3 ffi_call at ../src/x86/ffi64.c:525
Comment 1 Lubomir Rintel 2016-01-19 05:00:29 EST
Created attachment 1116098 [details]
File: backtrace
Comment 2 Lubomir Rintel 2016-01-19 05:00:30 EST
Created attachment 1116099 [details]
File: cgroup
Comment 3 Lubomir Rintel 2016-01-19 05:00:31 EST
Created attachment 1116100 [details]
File: core_backtrace
Comment 4 Lubomir Rintel 2016-01-19 05:00:33 EST
Created attachment 1116101 [details]
File: dso_list
Comment 5 Lubomir Rintel 2016-01-19 05:00:34 EST
Created attachment 1116102 [details]
File: environ
Comment 6 Lubomir Rintel 2016-01-19 05:00:36 EST
Created attachment 1116103 [details]
File: limits
Comment 7 Lubomir Rintel 2016-01-19 05:00:37 EST
Created attachment 1116104 [details]
File: maps
Comment 8 Lubomir Rintel 2016-01-19 05:00:39 EST
Created attachment 1116105 [details]
File: mountinfo
Comment 9 Lubomir Rintel 2016-01-19 05:00:40 EST
Created attachment 1116106 [details]
File: namespaces
Comment 10 Lubomir Rintel 2016-01-19 05:00:42 EST
Created attachment 1116107 [details]
File: open_fds
Comment 11 Lubomir Rintel 2016-01-19 05:00:43 EST
Created attachment 1116108 [details]
File: proc_pid_status
Comment 12 Lubomir Rintel 2016-01-19 05:00:45 EST
Created attachment 1116109 [details]
File: var_log_messages
Comment 13 Beniamino Galvani 2016-01-19 08:01 EST
Created attachment 1116172 [details]
[PATCH] device/macvlan: implement dispose()
Comment 14 Thomas Haller 2016-01-20 04:01:53 EST
lgtm.


while at it, can you change:

»···if (priv->parent_state_id)
»···»···nm_clear_g_signal_handler (priv->parent, &priv->parent_state_id);


to simply:

»···nm_clear_g_signal_handler (priv->parent, &priv->parent_state_id);
Comment 15 Beniamino Galvani 2016-01-20 05:52:06 EST
(In reply to Thomas Haller from comment #14)
> while at it, can you change:
> to simply:
> 
> »···nm_clear_g_signal_handler (priv->parent, &priv->parent_state_id);

Changed and applied to master:

http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=f607a16994eab9c587656f5fe2036d51e9eefa67
Comment 16 Mike McCune 2016-03-28 18:20:08 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 17 Fedora Update System 2016-03-29 13:56:40 EDT
NetworkManager-1.2.0-0.7.beta3.fc24 network-manager-applet-1.2.0-0.3.beta3.fc24 NetworkManager-fortisslvpn-1.2.0-0.4.beta3.fc24 NetworkManager-libreswan-1.2.0-0.4.beta3.fc24 NetworkManager-openconnect-1.2.0-0.3.beta3.fc24 NetworkManager-openvpn-1.2.0-0.3.beta3.fc24 NetworkManager-pptp-1.2.0-0.3.beta3.fc24 NetworkManager-vpnc-1.2.0-0.4.beta3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd218eef79
Comment 18 Fedora Update System 2016-03-30 18:26:51 EDT
NetworkManager-1.2.0-0.8.beta3.fc24, NetworkManager-fortisslvpn-1.2.0-0.4.beta3.fc24, NetworkManager-libreswan-1.2.0-0.4.beta3.fc24, NetworkManager-openconnect-1.2.0-0.3.beta3.fc24, NetworkManager-openvpn-1.2.0-0.3.beta3.fc24, NetworkManager-pptp-1.2.0-0.3.beta3.fc24, NetworkManager-strongswan-1.3.1-3.20160330libnm.fc24, NetworkManager-vpnc-1.2.0-0.4.beta3.fc24, network-manager-applet-1.2.0-0.3.beta3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd218eef79
Comment 19 Fedora Update System 2016-04-02 11:54:58 EDT
NetworkManager-1.2.0-0.8.beta3.fc24, NetworkManager-fortisslvpn-1.2.0-0.4.beta3.fc24, NetworkManager-libreswan-1.2.0-0.4.beta3.fc24, NetworkManager-openconnect-1.2.0-0.3.beta3.fc24, NetworkManager-openvpn-1.2.0-0.3.beta3.fc24, NetworkManager-pptp-1.2.0-0.3.beta3.fc24, NetworkManager-strongswan-1.3.1-3.20160330libnm.fc24, NetworkManager-vpnc-1.2.0-0.4.beta3.fc24, network-manager-applet-1.2.0-0.3.beta3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.